CoCoA4IOHandler.cpp File Reference
`#include "stdinc.h"`
`#include "CoCoA4IOHandler.h"`
`#include "Scanner.h"`
`#include "VarNames.h"`
`#include "Term.h"`
`#include "TermTranslator.h"`
`#include "FrobbyStringStream.h"`
`#include "DataType.h"`
`#include "IdealWriter.h"`
`#include "PolyWriter.h"`
`#include "error.h"`
`#include "InputConsumer.h"`
`#include <cstdio>`

Go to the source code of this file.

## Classes

class | IO::CoCoA4IdealWriter
class | IO::CoCoA4PolyWriter

## Namespaces

namespace | IO
namespace | IO::CoCoA4

## Functions

void | IO::CoCoA4::writeRing (const VarNames &names, FILE *out)
void | IO::CoCoA4::writeTermProduct (const Term &term, const TermTranslator &translator, FILE *out)
void | IO::CoCoA4::writeTermProduct (const vector< mpz_class > &term, const VarNames &names, FILE *out)
void | IO::CoCoA4::readTerm (Scanner &in, vector< mpz_class > &term)
void | IO::CoCoA4::readTerm (Scanner &in, InputConsumer &consumer)
void | IO::CoCoA4::readVarPower (vector< mpz_class > &term, Scanner &in)
void | IO::CoCoA4::readVarPower (Scanner &in, InputConsumer &consumer)
void | IO::CoCoA4::readCoefTerm (mpz_class &coef, vector< mpz_class > &term, bool firstTerm, Scanner &in)